##
##  python-paste.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_python        3.11
%define       V_paste_core    3.7.1
%define       V_paste_script  3.4.0
%define       V_paste_deploy  2.1.1

#   package information
Name:         python-paste
Summary:      Python Modules for Paste
URL:          http://www.python.org/
Vendor:       Python Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      GPL
Version:      %{V_python}
Release:      20240122

#   list of sources
Source0:      https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{V_paste_core}.tar.gz
Source1:      https://files.pythonhosted.org/packages/source/P/PasteDeploy/PasteDeploy-%{V_paste_deploy}.tar.gz
Source2:      https://files.pythonhosted.org/packages/source/P/PasteScript/PasteScript-%{V_paste_script}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python >= %{V_python}
PreReq:       OpenPKG, openpkg >= 20160101, python >= %{V_python}

%description
    This is a set of Python extension modules for Paste.

%track
    prog python-paste:paste-core = {
        version   = %{V_paste_core}
        url       = http://pypi.python.org/pypi/Paste
        regex     = Paste-(__VER__)\.tar\.gz
    }
    prog python-paste:paste-deploy = {
        version   = %{V_paste_deploy}
        url       = http://pypi.python.org/pypi/PasteDeploy
        regex     = PasteDeploy-(__VER__)\.tar\.gz
    }
    prog python-paste:paste-script = {
        version   = %{V_paste_script}
        url       = http://pypi.python.org/pypi/PasteScript
        regex     = PasteScript-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2

%build

%install
    export PYTHONPATH=$RPM_BUILD_ROOT%{l_prefix}/lib/python%{V_python}/site-packages
    ( cd Paste-%{V_paste_core}
      %{l_prefix}/bin/python \
          setup.py install \
          --root=$RPM_BUILD_ROOT \
          --prefix=%{l_prefix}
    ) || exit $?
    ( cd PasteDeploy-%{V_paste_deploy}
      %{l_prefix}/bin/python \
          setup.py install \
          --root=$RPM_BUILD_ROOT \
          --prefix=%{l_prefix}
    ) || exit $?
    ( cd PasteScript-%{V_paste_script}
      %{l_prefix}/bin/python \
          setup.py install \
          --root=$RPM_BUILD_ROOT \
          --prefix=%{l_prefix}
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

